about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xsetup.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/setup.sh b/setup.sh
index cbef62b..64d8f78 100755
--- a/setup.sh
+++ b/setup.sh
@@ -45,13 +45,16 @@ check_config() {
 	ERROR_MSG="not set. Aborting. See -h for help."
 	if [ "$PROJECT_NAME" = "" ];
 	then
-		echo "-n $ERROR_MSG" && exit 1
+		echo "-n/Name $ERROR_MSG" && exit 1
 	elif [ "$PROJECT_LOCATION" = "" ];
 	then
-		echo "-d $ERROR_MSG" && exit 1
+		echo "-d/Install Directory $ERROR_MSG" && exit 1
 	elif [ "$PROJECT_URL" = "" ];
 	then
-		echo "-u $ERROR_MSG" && exit 1
+		echo "-u/Git URL $ERROR_MSG" && exit 1
+	elif [ "$PROJECT_BRANCH" = "" ];
+	then
+		echo "-b/branch $ERROR_MSG"
 	fi
 	return 0
 }
@@ -183,6 +186,10 @@ question_gitbranch() {
 	PROJECT_BRANCH="master"
 	printf 'What branch from the Git Repo do you want to use? (Default: %s): ' "$PROJECT_BRANCH"
 	read -r PROJECT_BRANCH
+	if [ "$PROJECT_BRANCH" = "" ];
+	then
+		PROJECT_BRANCH="master"
+	fi
 }
 
 question_templates() {